//
// Example C file used as a Spin2 object
//

// ordinary global variables are treated as member variables
// and initialized to 0
int counter;

// static variables are shared, like DAT labels
static int running_count;

// a method; this increments the counter and
// running_count
int inc(int n) {
    counter += n;
    running_count += n;
    return counter;
}

// fetch the current running counter
int running() {
    return running_count;
}
