#include <stdio.h>

#ifdef VERBOSE
char c_greeting[] = "hello, world from C!";
#else
char c_greeting[] = "hi from C";
#endif

// utility function called from Spin2
unsigned hash(unsigned char *ptr) {
    unsigned c = 0;
    while (*ptr) {
        c = (c<<2) + *ptr++;
    }
    return c;
}

int main() {
    // ask the spin code to initialize objects
    spin_init_objs();
    // say hello from C
    spin_print_str(c_greeting);
    // say hello from BASIC
    bas_greet();
    // and from Spin
    spin_greet();
}
